import { FernApiEditor } from "@fern-fern/api-editor-sdk";
export declare class ApiGraph {
    private packages;
    private endpoints;
    private types;
    private errors;
    constructor(initialDefinition: FernApiEditor.Api);
    private processApiPackage;
    getPackageParent(packageId: FernApiEditor.PackageId): FernApiEditor.PackageId | undefined;
    getEndpointParent(endpointId: FernApiEditor.EndpointId): FernApiEditor.PackageId;
    getTypeParent(typeId: FernApiEditor.TypeId): FernApiEditor.PackageId;
    getErrorParent(errorId: FernApiEditor.ErrorId): FernApiEditor.PackageId;
    createPackage(packageId: FernApiEditor.PackageId, { parent }: {
        parent: FernApiEditor.PackageId | undefined;
    }): void;
    deletePackage(packageId: FernApiEditor.PackageId): void;
    createEndpoint(endpointId: FernApiEditor.EndpointId, { parent }: {
        parent: FernApiEditor.PackageId;
    }): void;
    deleteEndpoint(endpointId: FernApiEditor.EndpointId): void;
    createType(typeId: FernApiEditor.TypeId, { parent }: {
        parent: FernApiEditor.PackageId;
    }): void;
    deleteType(typeId: FernApiEditor.TypeId): void;
    createError(errorId: FernApiEditor.ErrorId, { parent }: {
        parent: FernApiEditor.PackageId;
    }): void;
    deleteError(errorId: FernApiEditor.ErrorId): void;
    private getPackageOrThrow;
    private getEndpointOrThrow;
    private getTypeOrThrow;
    private getErrorOrThrow;
}
