import { AbstractCreateTransactionHander } from "../AbstractCreateTransactionHander";
export class CreatePackageTransactionHandler extends AbstractCreateTransactionHander {
    addToDefinition(transaction) {
        this.definition.packages[transaction.packageId] = {
            packageId: transaction.packageId,
            packageName: transaction.packageName,
            packages: [],
            endpoints: [],
            types: [],
            errors: [],
        };
    }
    addToParent(transaction) {
        if (transaction.parent != null) {
            const parent = this.getPackageOrThrow(transaction.parent);
            parent.packages.push(transaction.packageId);
        }
        else {
            this.definition.rootPackages.push(transaction.packageId);
        }
    }
    addToGraph(transaction) {
        this.graph.createPackage(transaction.packageId, { parent: transaction.parent });
    }
}
